# Channel edit

## Requests <a href="#undefined" id="undefined"></a>

* Method : PUT
* URI : /channel

```
PUT
url : https://dashboard-api.gamechat.naverncp.com/v1/api/project/{projectId}/channel
Header : 'x-api-key: {API Key}'
Header : 'content-type: application/json'
data: '{
    "name":"#All",
}'
```

Plain textCopy

<table><thead><tr><th width="154">Header</th><th width="124">Type</th><th width="120">Required</th><th>Description</th></tr></thead><tbody><tr><td>x-api-key</td><td>String</td><td>O</td><td>Dashboard > Settings > Project settings > API key</td></tr></tbody></table>

<table><thead><tr><th width="154">Attribute</th><th width="126">Type</th><th width="117">Required</th><th>Description</th></tr></thead><tbody><tr><td>projectId</td><td>String</td><td>O</td><td>Project ID (Dashboard > Settings > Project settings > Project ID)</td></tr><tr><td>name</td><td>String</td><td>O</td><td>Channel name</td></tr><tr><td>translation</td><td>Boolean</td><td>X</td><td>Translation availability</td></tr><tr><td>uniqueId</td><td>String</td><td>X</td><td>Unique ID that can be assigned arbitrarily</td></tr><tr><td>limit</td><td>Int</td><td>X</td><td>Maximum number of participants in channel (unlimited if set to 0)</td></tr></tbody></table>

## Responses <a href="#undefined" id="undefined"></a>

```javascript
{
    "status": 1,
    "result": "1a51af0d-f464-4440-8ad6-ce69e0bdaba8"
}
```

JavaScriptCopy

<table><thead><tr><th width="160">Attribute</th><th width="123">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>Int</td><td>Result value (1: Success. See Error Code for failure)</td></tr><tr><td>result</td><td>String</td><td>Modified channel ID</td></tr></tbody></table>

## Errors <a href="#undefined" id="undefined"></a>

<table><thead><tr><th width="237">Code</th><th>Description</th></tr></thead><tbody><tr><td>-100</td><td>Missing required parameter(s)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gamechat.me/basics/game-chat-v2/game-chat-english/openapi/channel-edit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
